QuickStartアプリケーションをIDで取得
get
/ic/api/process/v1/quickStartApps/{quickStartAppId}
QuickStart Appの名前、説明、ID、タイプなど、指定されたIDに基づいてQuickStart Appの詳細を取得します。
リクエスト
パス・パラメータ
- quickStartAppId(required): string
QuickStartアプリID
レスポンス
サポートされているメディア・タイプ
- application/json
- application/xml;qs=0.9
200レスポンス
成功。 QuickStartアプリケーションを取得します。
ルート・スキーマ : quickStartApp
型:
objectQuick Startアプリケーションの表現
401レスポンス
未認可
404レスポンス
QuickStartアプリケーションが見つかりません。
500レスポンス
QuickStartアプリの取得中にエラーが発生しました
例
次の例は、RESTリソースにGETリクエストを送信することによって、QuickStartアプリケーションの詳細を取得する方法を示しています。
リクエストの送信
次の例では、送信リクエストのコンテンツを示しています。
https://example.com/ic/api/process/<version>/quickStartApps/<quickStartAppId>
説明
-
example.comは、Oracle Integrationが実行されているホストです。 -
<version>はREST APIバージョンです。
-
<quickStartAppId>は、QuickStart AppsのIDです。 使用可能なQuickStartアプリケーションを取得するには、「QuickStartアプリを取得」を参照してください
レスポンス・ヘッダーの例
Status Code: 200 OK Date: Mon, 03 Apr 2017 09:39:39GMT Content-Type: application/json
レスポンス本文の例
{
"name": "Loan Application",
"description": "This loan application starts with the loan applicant submitting a form. The loan applicant and appraiser upload supporting documentation and then the Loan Department and Finance Departments review and approve.",
"type": "ORACLE",
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/Loan%20Application",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/Loan%20Application",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/",
"rel": "parent"
}
]
}